#!/usr/bin/python
#
# dd2dms 
# Program to convert decimal degrees to degrees, arcminutes and arcseconds
# input: ddeg (decimal degrees)
# output: deg,arcmin,arcsec.ss
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009
# Modified by Y. Tsapras 18 May 2010

def dd2dms(ddeg):
    if (ddeg >= 0):
        dd = int(ddeg)
        A = (ddeg - dd) * 60
        mm = int(A)
        ss = (A - mm) * 60
        #print '%d deg, %d arcmin %.2f arcsec' % (dd,mm,ss)
        return dd, mm, ss
    else:
        dd = int(ddeg)
        A = (abs(ddeg) - abs(dd)) * 60
        mm = int(A)
        ss = (A - mm) * 60
        #print '%d deg, %d arcmin %.2f arcsec' % (dd,mm,ss)
        return dd, mm, ss
