#!/usr/bin/python
#
# dh2hms 
# Program to convert decimal hours to hours, minutes and seconds
# input: dhours (decimal hours)
# output: hh,mm,ss.ss (24 hour clock)
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009

def dh2hms(dhours):
    hh = int(dhours)
    A = (dhours - hh) * 60
    mm = int(A)
    ss = (A - mm) * 60
    #print '%d hrs, %d min %.2f sec' % (hh,mm,ss)
    return hh, mm, ss
