#!/usr/bin/python
#
# hms2dh 
# Program to convert hours, minutes and seconds to decimal hours
# input: hh,mm,ss.ss
# output: dhours (decimal hours)
# Equations from Practical Astronomy with your Calculator by Peter Duffett-Smith
# Written by Y.Tsapras Feb 2009
# Modified by Y. Tsapras 6 Apr 2011


# Import required modules
from sys import exit

# Sanity check procedure to ensure valid input
def do_check(hh,mm,ss):
    for val in [hh,mm,ss]:
 	if (type(val).__name__=='int' or  type(val).__name__=='float'):
 	    check_id = '0'
 	    continue
 	else:
 	    check_id = '1'
	    print "Data type is invalid. %s is not an integer or floating point number." % str(val)
	    exit()
    return check_id

# begin hms2dh
def hms2dh(hh, mm, ss):
    dhours = hh + abs(mm)/60.0 + abs(ss)/3600.0
    print 'In decimal hours: %.3f' % dhours
    return dhours
